{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de paradas
{% endblock %}

{% block content %}
<div class="container text-center">
  <div class="container">
    <h1>Lista de paradas:</h1>

    <a href="{% url 'core:parada_create' %}" class="btn btn-outline-dark form-control">Añade una nueva parada</a>

    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>

    <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Clave de parada</th>
        <th>Nombre</th>
        <th></th>
        <th>Acciones</th>
        <th></th>
      </thead>
      <tbody>
        {% for Paradas in parada %}
          <tr>
            <td>{{ Paradas.clave }}</td>
            <td>{{ Paradas.nombre }}</td>
            <td>
              <a href="{% url 'core:parada_detail' Paradas.clave %}" class="btn btn-outline-light">Detalles</a>
            </td>
            <td>
              <a href="{% url 'core:parada_update' Paradas.clave %}" class="btn btn-outline-light">Actualizar</a>
            </td>
            <td>
              <a href="{% url 'core:parada_delete' Paradas.clave %}" class="btn btn-outline-light">Eliminar</a>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock %}
